var e = require("../../common/vendor.js"),
  n = require("../../hooks/onMounted.js"),
  r = require("../../hooks/onShareAppMessage.js"),
  u = require("../../hooks/useState.js"),
  o = require("../../enums/index.js"),
  t = require("../../constant/index.js"),
  i = require("../../data/index.js"),
  a = require("../../utils/navigate.js"),
  s = require("../../utils/util.js");
require("../../config/index.js"),
  require("../../service/index.js"),
  require("../../utils/request.js"),
  require("../../store/app/index.js"),
  Math ||
    (
      e.unref(f) +
      e.unref(c) +
      e.unref(d) +
      e.unref(v) +
      e.unref(p) +
      e.unref(m) +
      e.unref(l)
    )();
var c = function () {
    return "../../components/agreement/index.js";
  },
  l = function () {
    return "../../components/keyboard/index.js";
  },
  v = function () {
    return "../../components/divider/index.js";
  },
  f = function () {
    return "../../components/tips/index.js";
  },
  d = function () {
    return "../../components/prompt/index.js";
  },
  p = function () {
    return "../../components/float-back-to-top/index.js";
  },
  m = function () {
    return "../../components/float-share/index.js";
  },
  h = {
    __name: "index",
    setup: function (c) {
      var l = u.useState().showAgreementPopup,
        v = e.ref(!0),
        f = e.ref(""),
        d = e.ref(!1),
        p = e.ref(["", "", "", "", "", "", "", ""]),
        m = e.ref(0),
        h = e.ref(!1),
        x = e.ref(o.KeyboardEnum.AREA),
        j = e.ref(!1),
        y = function () {
          var e = l.value;
          return "height: 100%; overflow: "
            .concat(e ? "hidden" : "visible", "; position: ")
            .concat(e ? "fixed" : "relative");
        },
        b = function () {
          h.value = !1;
        },
        g = function (e) {
          e.keyboardType
            ? (x.value = e.keyboardType)
            : ((p.value = e.value), (m.value = e.index));
        },
        q = function () {
          x.value =
            x.value === o.KeyboardEnum.AREA
              ? o.KeyboardEnum.ABC
              : o.KeyboardEnum.AREA;
        },
        E = function () {
          d.value = !d.value;
        },
        k = function () {
          h.value = !1;
          var e = p.value.join("");
          d.value
            ? t.vehicleNoExp.test(e)
              ? a.navigateTo({
                  url: "/pages/order-confirm/index",
                  params: {
                    productType: o.ProductTypeEnum.VEHICLE_FIVE,
                    queryType: o.QueryTypeEnum.VEHICLE_NO,
                    vehicleNo: e,
                  },
                })
              : s.showToast("请输入正确的车牌")
            : s.showToast("请先阅读并同意协议");
        };
      return (
        n.onMounted(function (n) {
          e.index.setNavigationBarTitle({ title: n.title }),
            (f.value = n.title),
            (v.value = !1),
            s.hideLoading();
        }),
        e.onPageScroll(function (n) {
          var r = n.scrollTop;
          j.value = r >= e.index.getSystemInfoSync().windowHeight / 3;
        }),
        r.onShareAppMessage(),
        function (n, r) {
          return e.e(
            { a: y(), b: !v.value },
            v.value
              ? {}
              : {
                  c: e.t(f.value),
                  d: e.f(p.value, function (n, r, u) {
                    return e.e(
                      { a: e.t(n), b: r === m.value ? 1 : "", c: 7 === r },
                      {},
                      {
                        d: r,
                        e: 7 === r ? 1 : "",
                        f: e.o(function (e) {
                          return (function (e) {
                            (m.value = e), (h.value = !0);
                          })(r);
                        }, r),
                      }
                    );
                  }),
                  e: e.o(k),
                  f: e.o(E),
                  g: e.p({ checked: d.value }),
                  h: e.f(e.unref(i.mockVehicleFiveList), function (n, r, u) {
                    return { a: e.t(n.label), b: e.t(n.value), c: r };
                  }),
                  i: e.t(e.unref(t.disclaimer)),
                  j: e.p({ visible: j.value }),
                  k: e.o(b),
                  l: e.o(g),
                  m: e.o(q),
                  n: e.p({
                    visible: h.value,
                    "can-switch": !0,
                    "keyboard-type": x.value,
                    "vehicle-no-list": p.value,
                    "vehicle-no-index": m.value,
                  }),
                }
          );
        }
      );
    },
  },
  x = e._export_sfc(h, [["__scopeId", "data-v-c2411e15"]]);
(h.__runtimeHooks = 3), wx.createPage(x);
